MeshTale Docs
PATCH
/v1/orgs/{orgSlug}/custom-roles/{roleId}

Authorization

sessionCookie
meshtale_session<token>

In: cookie

Path Parameters

orgSlug*string
roleId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/orgs/string/custom-roles/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",    "name": "string",    "slug": "string",    "base_role": "viewer",    "description": "string",    "is_active": true,    "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "actions": {      "allow": [        "string"      ],      "deny": [        "string"      ]    }  }}
{  "error": "string",  "message": "string",  "details": {}}
{  "error": "string",  "message": "string",  "details": {}}
{  "error": "string",  "message": "string",  "details": {}}
{  "error": "string",  "message": "string",  "details": {}}
{  "error": "string",  "message": "string",  "details": {}}
{  "error": "string",  "message": "string",  "details": {}}